[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONArray.GetEnumerator

Get an array enumerator

## Declaration

Source position: fpjson.pp line 538

`public function TJSONArray.GetEnumerator: TBaseJSONEnumerator; override;`

## Function result

The array enumerator

## Description

GetEnumerator is overridden in TJSONarray so it returns an array enumerator. The array enumerator will return all the elements in the array, and stores their index in the KeyNum member of TJSONEnum.

## See also

TJSONEnum |  | JSON enumerator loop variable type
TJSONData.GetEnumerator |  | Return an enumerator for the data